%bcond_with     jp_minimal

Name:           jackson-modules-base
Version:        2.11.4
Release:        %mkrel 3
Group:          Development/Java
Summary:        Jackson modules: Base
License:        ASL 2.0

URL:            https://github.com/FasterXML/jackson-modules-base
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(cglib:cglib)
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-annotations) >= %{version}
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-core) >= %{version}
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-databind) >= %{version}
BuildRequires:  mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires:  mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(javax.xml.bind:jaxb-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.mockito:mockito-all)
BuildRequires:  mvn(org.ow2.asm:asm)

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Obsoletes:      jackson-module-afterburner < 2.11.4-2
Obsoletes:      jackson-module-guice < 2.11.4-2
Obsoletes:      jackson-module-mrbean < 2.11.4-2
Obsoletes:      jackson-module-osgi < 2.11.4-2
Obsoletes:      jackson-module-paranamer < 2.11.4-2
Obsoletes:      jackson-modules-base-javadoc < 2.11.4-2

%description
Jackson "base" modules: modules that build directly on databind,
and are not data-type, data format, or JAX-RS provider modules.

%package -n jackson-module-jaxb-annotations
Summary: Support for using JAXB annotations as an alternative to "native" Jackson annotations

%description -n jackson-module-jaxb-annotations
This Jackson extension module provides support for using JAXB (javax.xml.bind)
annotations as an alternative to native Jackson annotations. It is most often
used to make it easier to reuse existing data beans that used with JAXB
framework to read and write XML.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_remove_dep org.glassfish.jaxb:jaxb-runtime jaxb

# no need for Java 9 module stuff
%pom_remove_plugin -r :moditect-maven-plugin

# move to "old" glassfish-jaxb-api artifactId
%pom_change_dep -r jakarta.xml.bind:jakarta.xml.bind-api javax.xml.bind:jaxb-api

# Disable bundling of asm
%pom_remove_plugin ":maven-shade-plugin" afterburner mrbean paranamer
%pom_xpath_remove "pom:properties/pom:osgi.private" mrbean paranamer

sed -i 's/\r//' mrbean/src/main/resources/META-INF/{LICENSE,NOTICE}
cp -p mrbean/src/main/resources/META-INF/{LICENSE,NOTICE} .

# Fix OSGi dependency
%pom_change_dep org.osgi:org.osgi.core org.osgi:osgi.core osgi

# NoClassDefFoundError: net/sf/cglib/core/CodeGenerationException
%pom_add_dep cglib:cglib:3.2.4:test guice

%pom_disable_module afterburner
%pom_disable_module guice
%pom_disable_module mrbean
%pom_disable_module osgi
%pom_disable_module paranamer

# Allow javax,activation to be optional
%pom_add_plugin "org.apache.felix:maven-bundle-plugin" jaxb "
<configuration>
  <instructions>
    <Import-Package>javax.activation;resolution:=optional,*</Import-Package>
  </instructions>
</configuration>"

# This test fails since mockito was upgraded to 2.x
rm osgi/src/test/java/com/fasterxml/jackson/module/osgi/InjectOsgiServiceTest.java

%mvn_file ":{*}" jackson-modules/@1

%build
%mvn_build -s -j

%install
%mvn_install

%files -f .mfiles-jackson-modules-base
%doc README.md release-notes
%license LICENSE NOTICE

%files -n jackson-module-jaxb-annotations -f .mfiles-jackson-module-jaxb-annotations
%doc jaxb/README.md jaxb/release-notes
%license LICENSE NOTICE



%changelog
* Mon Jan 02 2023 daviddavid <daviddavid> 2.11.4-3.mga9
+ Revision: 1928802
- obsolete some modules

* Fri Dec 09 2022 daviddavid <daviddavid> 2.11.4-2.mga9
+ Revision: 1919745
- Drop jackson-module-afterburner, jackson-module-guice, jackson-module-mrbean,
  jackson-module-osgi, jackson-module-paranamer, and jackson-module-javadoc
- Drop jaxb-runtime dependency
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 2.11.4-1.mga9
+ Revision: 1694883
- Update to version 2.11.4

* Wed Oct 21 2020 daviddavid <daviddavid> 2.11.3-1.mga8
+ Revision: 1637882
- Update to version 2.11.3

* Sat Sep 05 2020 daviddavid <daviddavid> 2.11.2-1.mga8
+ Revision: 1622432
- Update to version 2.11.2

* Mon Feb 17 2020 umeabot <umeabot> 2.10.0-2.mga8
+ Revision: 1537395
- Mageia 8 Mass Rebuild

* Thu Oct 31 2019 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1456962
- Update to version 2.10.0

* Fri Jul 19 2019 daviddavid <daviddavid> 2.9.8-2.mga8
+ Revision: 1422778
- Make the OSGi dep on javax.activation optional

* Thu Feb 07 2019 daviddavid <daviddavid> 2.9.8-1.mga7
+ Revision: 1363849
- Update to latest upstream release 2.9.8

* Mon Dec 03 2018 daviddavid <daviddavid> 2.9.4-1.mga7
+ Revision: 1337748
- new version: 2.9.4 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 2.7.6-3.mga7
+ Revision: 1263624
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 2.7.6-2.mga6
+ Revision: 1102603
- imported package jackson-modules-base


* Tue Sep 20 2016 gil cattaneo <puntogil@libero.it> 2.7.6-2
- fix some rpmlint problems 

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- initial rpm

